First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 28874
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Gentoo Games <games@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Christoph Brill (egore) <egore@gmx.de>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
enigma-0.80_beta1.ebuild fixed ebuild text/plain Christoph Brill (egore) 2003-09-17 22:14 0000 1.10 KB Details
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 28874 depends on: Show dependency tree
Bug 28874 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2003-09-16 05:42 0000
Enigma 0.80-beta has been released. It would be nice seeing a ebuild for this.

Reproducible: Always
Steps to Reproduce:

------- Comment #1 From Mr. Bones. 2003-09-16 23:10:57 0000 -------
Added to CVS.  I'm sure that the author of enigma would appreciate testing
and reports before he releases the next version.  I've already reported
the fact that (as far as I could tell) needs the gcc 3.3.1 patch still and
there is a message that prints while playing: "Unknown target 'callback' for action 'noop'" so there's no need to report these two issues.  I guess
anything else is fair game.

------- Comment #2 From Frank Benkstein 2003-09-17 16:09:25 0000 -------
The ebuild is missing dependency for sdl-gfx. Compiling stopped complaining
about missing header file:
"display.cc:635:31: SDL_gfxPrimitives.h: No such file or directory"

Simple 'emerge sdl-gfx' fixed it.

------- Comment #3 From Christoph Brill (egore) 2003-09-17 22:14:40 0000 -------
Created an attachment (id=17937) [edit]
fixed ebuild

This ebuild has media-libs/sdl-gfx in dependecies.

------- Comment #4 From Thomas Eckert 2003-09-23 13:06:22 0000 -------
(again this is one of these bugs I cannot REOPEN -- maybe some bugzilla-ghost
can help again? ;)

There is a patch available for enigma (the 0.80-beta1) did not compile at all for me.

--- snipp ---
--- enigma-0.80_beta1.ebuild    2003-09-17 08:06:35.000000000 +0200
+++ enigma-0.80_beta1-r1.ebuild 2003-09-23 21:42:32.000000000 +0200
@@ -7,7 +7,7 @@
 S="${WORKDIR}/enigma-0.80-beta"
 DESCRIPTION="puzzle game similar to Oxyd"
 HOMEPAGE="http://www.freesoftware.fsf.org/enigma/"
-SRC_URI="http://savannah.nongnu.org/download/enigma/enigma-0.80-beta.tar.gz"
+SRC_URI="http://savannah.nongnu.org/download/enigma/enigma-0.80-beta.tar.gz http://savannah.nongnu.org/download/enigma/enigma-0.80-beta.patch"
 
 LICENSE="GPL-2"
 KEYWORDS="~x86"
@@ -26,6 +26,8 @@
        # I've notified upstream of the need for this patch so hopefully
        # the next release will have it included in the distributed tarball.
        epatch ${FILESDIR}/0.70-gcc3.patch
+
+       epatch ${DISTDIR}/enigma-0.80-beta.patch || die
 }
 
 src_compile() {
--- snapp ---

There may also be a problem with group-ownership of some direcories in /usr/share/games/enigma* -- was 22 (ssh) should be 35 (games) -- but that could
be a specific problem of my installation.

Thomas

------- Comment #5 From SpanKY 2003-09-23 19:45:20 0000 -------
i'll check out that stuff

------- Comment #6 From Mr. Bones. 2003-09-24 13:44:38 0000 -------
I added the patch to the ebuild and files dir.  The ownership stuff probably
is a local problem.  If you look in /etc/group you should see that sshd is
group 22 and games is group 35.  I don't see a problem here with the ownership -
everything is owned by group games.

First Last Prev Next    No search results available      Search page      Enter new bug